MONGOC_CLIENT_ENCRYPTION_ENCRYPT_RANGE_OPTS_SET_MIN(3)

NAME
mongoc_client_encryption_encrypt_range_opts_set_min - mongoc_client_encryption_encrypt_range_opts_set_min()

SYNOPSIS

void
mongoc_client_encryption_encrypt_range_opts_set_min (
     mongoc_client_encryption_encrypt_range_opts_t *range_opts,
     const bson_value_t *min);

IMPORTANT: The Range algorithm is experimental only and not intended for public use. It is subject to breaking changes. This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.24.0.

Sets the minimum value of the range for explicit encryption. Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "RangePreview". It is an error to set minimum when algorithm is not "RangePreview".

The minimum must match the value set in the encryptedFields of the destination collection. It is an error to set a different value.

For double and decimal128 fields, min/max/precision must all be set, or all be unset.

PARAMETERS

•   range_opts: A mongoc_client_encryption_encrypt_range_opts_t

•   min: The minimum bson value of the range.

    SEE ALSO:
    mongoc_client_encryption_encrypt_range_opts_set_precision()
    mongoc_client_encryption_encrypt_range_opts_set_max()
    mongoc_client_encryption_encrypt_range_opts_t

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc